This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023735 - SELinux is preventing /usr/sbin/usbmuxd from 'write' accesses on the file usbmuxd.pid.
SELinux is preventing /usr/sbin/usbmuxd from 'write' accesses on the file usb...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: usbmuxd (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:d08543b38b1b56ff5b9b6b31803...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 09:47 EDT by f.hollman
Modified: 2014-07-30 20:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-30 20:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description f.hollman 2013-10-27 09:47:49 EDT
Description of problem:
Problem did occur when trying to get ipod (touch IOS7, brand new) connected to Fedora19 (just installed and updated).

Also ipod mounting fails on what seems to be an old closed bug (ACK timeout error. Have log files of usbmuxd to help sorting.
Note ;
 Fedora 19 installation did leave me with an empty udev.rulesd directory 9had to copy that from fedora 14....

Error is repeatable.
Frans
SELinux is preventing /usr/sbin/usbmuxd from 'write' accesses on the file usbmuxd.pid.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that usbmuxd should be allowed write access on the usbmuxd.pid file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep usbmuxd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:usbmuxd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                usbmuxd.pid [ file ]
Source                        usbmuxd
Source Path                   /usr/sbin/usbmuxd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           usbmuxd-1.0.8-10.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.10.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-200.fc19.i686.PAE #1 SMP
                              Fri Oct 18 22:49:22 UTC 2013 i686 i686
Alert Count                   17
First Seen                    2013-10-27 14:19:11 CET
Last Seen                     2013-10-27 14:27:18 CET
Local ID                      f4c63af1-2723-450d-929e-c21a4a8dcc0c

Raw Audit Messages
type=AVC msg=audit(1382880438.914:552): avc:  denied  { write } for  pid=2353 comm="usbmuxd" name="usbmuxd.pid" dev="tmpfs" ino=106329 scontext=system_u:system_r:usbmuxd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1382880438.914:552): arch=i386 syscall=open success=no exit=EACCES a0=80503ce a1=41 a2=1a4 a3=2 items=0 ppid=2351 pid=2353 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=usbmuxd exe=/usr/sbin/usbmuxd subj=system_u:system_r:usbmuxd_t:s0-s0:c0.c1023 key=(null)

Hash: usbmuxd,usbmuxd_t,var_run_t,file,write

Additional info:
reporter:       libreport-2.1.8
hashmarkername: setroubleshoot
kernel:         3.11.6-200.fc19.i686.PAE
type:           libreport

Potential duplicate: bug 947667
Comment 1 Lukas Vrabec 2013-10-29 05:26:10 EDT
You will need to fix labeling on /var/run/usbmuxd*
# restorecon -R -v /var/run/usbmuxd*
Should fix your problem.
Comment 2 Miroslav Grepl 2013-10-29 07:24:21 EDT
Basically it happens if you run usbmuxd directly without using the unit file.
Comment 3 Daniel Walsh 2013-10-29 12:26:35 EDT
We could add a file name transition rule for it.
Comment 4 f.hollman 2013-11-02 08:56:16 EDT
OK,
This fixed the continued request for whether the ipod can trust the PC and indeed can see the camera. However still no device node created fro the usb so still cant' mount the ipod.

Any good ideas how get the ipod mounted.
I have HFS support already installed (proven as i can download the photo's 

Frans

See below some output which might help
[root@localhost frans]# usbmuxd -vv -f output
[13:47:46.772][3] usbmuxd v1.0.8 starting up
[13:47:46.774][4] Creating socket
[13:47:46.775][5] client_init
[13:47:46.775][5] device_init
[13:47:46.775][4] Initializing USB
[13:47:46.776][5] usb_init for linux / libusb 1.0
[13:47:46.782][4] Found new device with v/p 05ac:12aa at 1-25
[13:47:46.782][4] Found interface 1 with endpoints 04/85 for device 1-25
[13:47:46.784][4] Using wMaxPacketSize=512 for device 1-25
[13:47:46.784][3] Connecting to new device on location 0x10019 as ID 1
[13:47:46.784][4] 1 device detected
[13:47:46.784][3] Initialization complete
[13:47:46.784][3] Connected to v1.0 device 1 on location 0x10019 with serial number 0a7d9c6a99296e95e67b74d0936ddf5ccaf8d90b
[13:47:46.784][5] client_device_add: id 1, location 0x10019, serial 0a7d9c6a99296e95e67b74d0936ddf5ccaf8d90b

and Dmseg
[ 3428.573064] usb 1-3: new high-speed USB device number 24 using ehci-pci
[ 3428.691373] usb 1-3: New USB device found, idVendor=05ac, idProduct=12aa
[ 3428.691382] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3428.691385] usb 1-3: Product: iPod
[ 3428.691389] usb 1-3: Manufacturer: Apple Inc.
[ 3428.691392] usb 1-3: SerialNumber: 0a7d9c6a99296e95e67b74d0936ddf5ccaf8d90b
[ 3434.499168] usb 1-3: USB disconnect, device number 24
[ 3434.842132] usb 1-3: new high-speed USB device number 25 using ehci-pci
[ 3434.959881] usb 1-3: New USB device found, idVendor=05ac, idProduct=12aa
[ 3434.959893] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3434.959899] usb 1-3: Product: iPod
[ 3434.959904] usb 1-3: Manufacturer: Apple Inc.
[ 3434.959909] usb 1-3: SerialNumber: 0a7d9c6a99296e95e67b74d0936ddf5ccaf8d90b

But /dev/disk/by-id
lrwxrwxrwx. 1 root root  9 Nov  2 12:47 ata-ATAPI_DVD_A_DH20A1P -> ../../sr0
lrwxrwxrwx. 1 root root  9 Nov  2 12:47 ata-ST3120026AS_3JT2SL2J -> ../../sda
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3120026AS_3JT2SL2J-part1 -> ../../sda1
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3120026AS_3JT2SL2J-part2 -> ../../sda2
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3120026AS_3JT2SL2J-part3 -> ../../sda3
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3120026AS_3JT2SL2J-part4 -> ../../sda4
lrwxrwxrwx. 1 root root  9 Nov  2 12:47 ata-ST3500418AS_9VMVCQV7 -> ../../sdb
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3500418AS_9VMVCQV7-part1 -> ../../sdb1
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3500418AS_9VMVCQV7-part2 -> ../../sdb2
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3500418AS_9VMVCQV7-part3 -> ../../sdb3
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 ata-ST3500418AS_9VMVCQV7-part4 -> ../../sdb4
lrwxrwxrwx. 1 root root  9 Nov  2 12:47 usb-HP_Officejet_Pro_86_CN2B9BWKBD05KD-0:0 -> ../../sdc
lrwxrwxrwx. 1 root root  9 Nov  2 12:47 wwn-0x5000c5002d4c394f -> ../../sdb
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 wwn-0x5000c5002d4c394f-part1 -> ../../sdb1
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 wwn-0x5000c5002d4c394f-part2 -> ../../sdb2
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 wwn-0x5000c5002d4c394f-part3 -> ../../sdb3
lrwxrwxrwx. 1 root root 10 Nov  2 12:47 wwn-0x5000c5002d4c394f-part4 -> ../../sdb4
Note the funny double showing of the 500 Gb data disk.. Also new in Core 19.

(In reply to Lukas Vrabec from comment #1)
> You will need to fix labeling on /var/run/usbmuxd*
> # restorecon -R -v /var/run/usbmuxd*
> Should fix your problem.
Comment 5 f.hollman 2013-11-02 08:57:39 EDT
(In reply to Lukas Vrabec from comment #1)
> You will need to fix labeling on /var/run/usbmuxd*
> # restorecon -R -v /var/run/usbmuxd*
> Should fix your problem.

Lukas, 
Thanks solved part of the puzzle, but still no ipod mount Have added more info as commetn, grateful if you can have a quick look and see whether you can help me further

Frans
Comment 6 Daniel Walsh 2013-11-04 11:33:12 EST
Maybe usbmuxd guys can help you.
Comment 7 f.hollman 2013-11-22 18:03:29 EST
Description of problem:
trying to mount ipod 
 with usbmuxd running as service ifuse/idevicepair fail stating not device present.
whern running in foreground complaint about the passcode 9which has been disabled for an hour to get this going)
chmodding the file to 666 does remove the message, but still gives the same error messages on ifuse/idevicepair

Notethat with usbmuxd runnign from terminal ipod goes in infinite loop on computer trust as well.

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.5-301.fc19.i686.PAE
type:           libreport
Comment 8 Peter Robinson 2014-07-30 20:02:25 EDT
iOS7 isn't supported in the libraries we ship in F-19 and they're too intrusive to back port to F-19. They're now on their way to F-20 and are already in F-21 so I suggest F-20 or later. See RHBZ 1073003 for details

Note You need to log in before you can comment on or make changes to this bug.